NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::CAE::ResultVariable Class Reference

Controls Result Exp Object. More...

Inheritance diagram for NXOpen::CAE::ResultVariable:
NXOpen::Fields::NameVariable NXOpen::NXObject NXOpen::TaggedObject NXOpen::INXObject

Public Types

enum  NodalCombination { NodalCombinationNone, NodalCombinationNodal, NodalCombinationElemental }
 Element Nodal Combination Options. More...
 

Public Member Functions

bool Abs ()
 Returns the Absolute value from result
Created in NX10.0.0. More...
 
bool Addfillets ()
 Returns the Beam fillets
Created in NX10.0.0. More...
 
NXOpen::CAE::Result::Section BeamSect ()
 Returns the beam section
Created in NX10.0.0. More...
 
NXOpen::CAE::Result::Component Comp ()
 Returns the Component
Created in NX10.0.0. More...
 
NXOpen::CAE::Result::Complex Complex ()
 Returns the Complex type
Created in NX10.0.0. More...
 
NXOpen::CAE::Result::CoordinateSystem Csys ()
 Returns the Co-ordinate System
Created in NX10.0.0. More...
 
bool Derivebeamres ()
 Returns the Derive beam results
Created in NX10.0.0. More...
 
NXOpen::CAE::Result::ElementValueCriterion Elementcriteria ()
 Returns the elemental result criteria
Created in NX10.0.0. More...
 
bool Elemtypes ()
 Returns the Element types
Created in NX10.0.0. More...
 
NXString Expname ()
 Returns the Result Field Expression Name
Created in NX10.0.0. More...
 
double Filletradscale ()
 Returns the Fillet radius scale factor
Created in NX10.0.0. More...
 
bool IncludeInternalElement ()
 Returns the Include Internal Elements which doing nodal averaging
Created in NX12.0.0. More...
 
int Layer ()
 Returns the layer
Created in NX10.0.0. More...
 
NXOpen::CAE::Result::Location Loc ()
 Returns the Location
Created in NX10.0.0. More...
 
bool Mids ()
 Returns the MIDs
Created in NX10.0.0. More...
 
NXOpen::CAE::ResultVariable::NodalCombination Nodalcombinetype ()
 Returns the Nodal Combination
Created in NX10.0.0. More...
 
int Numberofcomponent ()
 Returns the ply ID
Created in NX10.0.0. More...
 
double Phase ()
 Returns the Phase angle
Created in NX10.0.0. More...
 
bool Pids ()
 Returns the PIDs
Created in NX10.0.0. More...
 
int Plyid ()
 Returns the ply ID
Created in NX10.0.0. More...
 
NXOpen::CAE::Result::Quantity Quan ()
 Returns the Quantity
Created in NX10.0.0. More...
 
void Rename (const NXString &expname)
 Re-Name Result Variable
Created in NX10.0.0. More...
 
void Rename (const char *expname)
 Re-Name Result Variable
Created in NX10.0.0. More...
 
NXOpen::CoordinateSystemSelectedcsys ()
 Returns the Selected Co-ordinate System
Created in NX10.0.0. More...
 
void SetAbs (bool abs)
 Sets the Absolute value from result
Created in NX10.0.0. More...
 
void SetAddfillets (bool addfillets)
 Sets the Beam fillets
Created in NX10.0.0. More...
 
void SetBeamSect (NXOpen::CAE::Result::Section beamSect)
 Sets the beam section
Created in NX10.0.0. More...
 
void SetComp (NXOpen::CAE::Result::Component loc)
 Sets the Component
Created in NX10.0.0. More...
 
void SetComplex (NXOpen::CAE::Result::Complex complex)
 Sets the Complex type
Created in NX10.0.0. More...
 
void SetCsys (NXOpen::CAE::Result::CoordinateSystem csys)
 Sets the Co-ordinate System
Created in NX10.0.0. More...
 
void SetDerivebeamres (bool derivebeamres)
 Sets the Derive beam results
Created in NX10.0.0. More...
 
void SetElementcriteria (NXOpen::CAE::Result::ElementValueCriterion criteria)
 Sets the elemental result criteria
Created in NX10.0.0. More...
 
void SetElemtypes (bool elemtypes)
 Sets the Element types
Created in NX10.0.0. More...
 
void SetFilletradscale (double filletradscale)
 Sets the Fillet radius scale factor
Created in NX10.0.0. More...
 
void SetIncludeInternalElement (bool includeinternalelem)
 Sets the Include Internal Elements which doing nodal averaging
Created in NX12.0.0. More...
 
void SetLayer (int layer)
 Sets the layer
Created in NX10.0.0. More...
 
void SetLoc (NXOpen::CAE::Result::Location loc)
 Sets the Location
Created in NX10.0.0. More...
 
void SetMids (bool mids)
 Sets the MIDs
Created in NX10.0.0. More...
 
void SetNodalcombinetype (NXOpen::CAE::ResultVariable::NodalCombination computetype)
 Sets the Nodal Combination
Created in NX10.0.0. More...
 
void SetNumberofcomponent (int numcomponent)
 Sets the ply ID
Created in NX10.0.0. More...
 
void SetPhase (double phase)
 Sets the Phase angle
Created in NX10.0.0. More...
 
void SetPids (bool mids)
 Sets the PIDs
Created in NX10.0.0. More...
 
void SetPlyid (int plyid)
 Sets the ply ID
Created in NX10.0.0. More...
 
void SetQuan (NXOpen::CAE::Result::Quantity quan)
 Sets the Quantity
Created in NX10.0.0. More...
 
void SetSelectedcsys (NXOpen::CoordinateSystem *selectedcsys)
 Sets the Selected Co-ordinate System
Created in NX10.0.0. More...
 
void SetShellSect (NXOpen::CAE::Result::Section sect)
 Sets the shell section
Created in NX10.0.0. More...
 
void SetUsertypename (const NXString &usertypename)
 Sets the Result type username
Created in NX10.0.0. More...
 
void SetUsertypename (const char *usertypename)
 Sets the Result type username
Created in NX10.0.0. More...
 
NXOpen::CAE::Result::Section ShellSect ()
 Returns the shell section
Created in NX10.0.0. More...
 
NXString Usertypename ()
 Returns the Result type username
Created in NX10.0.0. More...
 
- Public Member Functions inherited from NXOpen::Fields::NameVariable
NXString Measure ()
 Returns the measure of the variable
Created in NX6.0.2. More...
 
NXString Name ()
 Returns the name of the variable
Created in NX6.0.2. More...
 
- Public Member Functions inherited from NXOpen::NXObject
NXOpen::AttributeIteratorCreateAttributeIterator ()
 Create an attribute iterator. More...
 
void DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type)
 Deletes all attributes of a specific type. More...
 
void DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title)
 Deletes an attribute by type and title. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title)
 Deletes an attribute by type and title. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title, NXOpen::Update::Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title, NXOpen::Update::Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
void DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const NXString &title, bool deleteEntireArray, NXOpen::Update::Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
void DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const char *title, bool deleteEntireArray, NXOpen::Update::Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
void DeleteUserAttributes (NXOpen::AttributeIterator *iterator, NXOpen::Update::Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator
Created in NX8.0.0. More...
 
void DeleteUserAttributes (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
virtual NXOpen::INXObjectFindObject (const NXString &journalIdentifier)
 Finds the NXOpen::NXObject with the given identifier as recorded in a journal. More...
 
virtual NXOpen::INXObjectFindObject (const char *journalIdentifier)
 Finds the NXOpen::NXObject with the given identifier as recorded in a journal. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetAttributeTitlesByType (NXOpen::NXObject::AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
bool GetBooleanUserAttribute (const NXString &title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
bool GetBooleanUserAttribute (const char *title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
NXOpen::NXObject::ComputationalTime GetComputationalTimeUserAttribute (const NXString &title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXOpen::NXObject::ComputationalTime GetComputationalTimeUserAttribute (const char *title, int index)
 Gets a time attribute by Title and array Index. More...
 
int GetIntegerAttribute (const NXString &title)
 Gets an integer attribute by title. More...
 
int GetIntegerAttribute (const char *title)
 Gets an integer attribute by title. More...
 
int GetIntegerUserAttribute (const NXString &title, int index)
 Gets an integer attribute by Title and array Index. More...
 
int GetIntegerUserAttribute (const char *title, int index)
 Gets an integer attribute by Title and array Index. More...
 
bool GetNextUserAttribute (NXOpen::AttributeIterator *iterator, NXOpen::NXObject::AttributeInformation *info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
NXString GetPdmReferenceAttributeValue (const NXString &attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
NXString GetPdmReferenceAttributeValue (const char *attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
double GetRealAttribute (const NXString &title)
 Gets a real attribute by title. More...
 
double GetRealAttribute (const char *title)
 Gets a real attribute by title. More...
 
double GetRealUserAttribute (const NXString &title, int index)
 Gets a real attribute by Title and array Index. More...
 
double GetRealUserAttribute (const char *title, int index)
 Gets a real attribute by Title and array Index. More...
 
NXString GetReferenceAttribute (const NXString &title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
NXString GetReferenceAttribute (const char *title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
NXString GetStringAttribute (const NXString &title)
 Gets a string attribute value by title. More...
 
NXString GetStringAttribute (const char *title)
 Gets a string attribute value by title. More...
 
NXString GetStringUserAttribute (const NXString &title, int index)
 Gets a string attribute by Title and array Index. More...
 
NXString GetStringUserAttribute (const char *title, int index)
 Gets a string attribute by Title and array Index. More...
 
NXString GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const NXString &title)
 Gets a time attribute by title. More...
 
NXString GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const char *title)
 Gets a time attribute by title. More...
 
NXString GetTimeUserAttribute (const NXString &title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXString GetTimeUserAttribute (const char *title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXOpen::NXObject::AttributeInformation GetUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
NXOpen::NXObject::AttributeInformation GetUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttribute (const NXString &title, bool includeUnset, bool addStringValues, NXOpen::NXObject::AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttribute (const char *title, bool includeUnset, bool addStringValues, NXOpen::NXObject::AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
NXString GetUserAttributeAsString (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
NXString GetUserAttributeAsString (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
int GetUserAttributeCount (NXOpen::AttributeIterator *iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
int GetUserAttributeCount (NXOpen::AttributeIterator *iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
int GetUserAttributeCount (NXOpen::NXObject::AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
int GetUserAttributeCount (NXOpen::NXObject::AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
bool GetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type)
 Determine the lock of the given attribute. More...
 
bool GetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type)
 Determine the lock of the given attribute. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (NXOpen::AttributeIterator *iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
std::vector< NXStringGetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
int GetUserAttributeSize (const NXString &title, NXOpen::NXObject::AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
int GetUserAttributeSize (const char *title, NXOpen::NXObject::AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
std::vector< NXOpen::NXObject * > GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
bool HasUserAttribute (NXOpen::AttributeIterator *iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator. More...
 
bool HasUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
bool HasUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
virtual bool IsOccurrence ()
 Returns whether this object is an occurrence or not. More...
 
virtual NXString JournalIdentifier ()
 Returns the identifier that would be recorded in a journal for this object. More...
 
virtual
NXOpen::Assemblies::Component
OwningComponent ()
 Returns the owning component, if this object is an occurrence. More...
 
virtual NXOpen::BasePartOwningPart ()
 Returns the owning part of this object
Created in NX3.0.0. More...
 
virtual void Print ()
 Prints a representation of this object to the system log file. More...
 
virtual NXOpen::INXObjectPrototype ()
 Returns the prototype of this object if it is an occurrence. More...
 
void SetAttribute (const NXString &title, int value)
 Creates or modifies an integer attribute. More...
 
void SetAttribute (const char *title, int value)
 Creates or modifies an integer attribute. More...
 
void SetAttribute (const NXString &title, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetAttribute (const char *title, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title, double value)
 Creates or modifies a real attribute. More...
 
void SetAttribute (const char *title, double value)
 Creates or modifies a real attribute. More...
 
void SetAttribute (const NXString &title, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetAttribute (const char *title, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title, const NXString &value)
 Creates or modifies a string attribute. More...
 
void SetAttribute (const char *title, const char *value)
 Creates or modifies a string attribute. More...
 
void SetAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
void SetAttribute (const char *title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
void SetAttribute (const NXString &title, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetAttribute (const char *title, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetBooleanUserAttribute (const NXString &title, int index, bool value, NXOpen::Update::Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
void SetBooleanUserAttribute (const char *title, int index, bool value, NXOpen::Update::Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
virtual void SetName (const NXString &name)
 Sets the custom name of the object. More...
 
virtual void SetName (const char *name)
 Sets the custom name of the object. More...
 
void SetPdmReferenceAttribute (const NXString &attributeTitle, const NXString &attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
void SetPdmReferenceAttribute (const char *attributeTitle, const char *attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
void SetReferenceAttribute (const NXString &title, const NXString &value)
 Creates or modifies a string attribute which uses a reference string. More...
 
void SetReferenceAttribute (const char *title, const char *value)
 Creates or modifies a string attribute which uses a reference string. More...
 
void SetReferenceAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
void SetReferenceAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
void SetTimeAttribute (const NXString &title, const NXString &value)
 Creates or modifies a time attribute. More...
 
void SetTimeAttribute (const char *title, const char *value)
 Creates or modifies a time attribute. More...
 
void SetTimeAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const NXString &title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const char *title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetUserAttribute (const NXOpen::NXObject::AttributeInformation &info, NXOpen::Update::Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type, bool lock)
 Lock or unlock the given attribute. More...
 
void SetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type, bool lock)
 Lock or unlock the given attribute. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Controls Result Exp Object.


To obtain an instance of this class use CAE::ResultManager

Created in NX10.0.0.

Member Enumeration Documentation

Element Nodal Combination Options.

Enumerator
NodalCombinationNone 

none

NodalCombinationNodal 

nodal

NodalCombinationElemental 

elemental

Member Function Documentation

bool NXOpen::CAE::ResultVariable::Abs ( )

Returns the Absolute value from result
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

bool NXOpen::CAE::ResultVariable::Addfillets ( )

Returns the Beam fillets
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXOpen::CAE::Result::Section NXOpen::CAE::ResultVariable::BeamSect ( )

Returns the beam section
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXOpen::CAE::Result::Component NXOpen::CAE::ResultVariable::Comp ( )

Returns the Component
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXOpen::CAE::Result::Complex NXOpen::CAE::ResultVariable::Complex ( )

Returns the Complex type
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXOpen::CAE::Result::CoordinateSystem NXOpen::CAE::ResultVariable::Csys ( )

Returns the Co-ordinate System
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

bool NXOpen::CAE::ResultVariable::Derivebeamres ( )

Returns the Derive beam results
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXOpen::CAE::Result::ElementValueCriterion NXOpen::CAE::ResultVariable::Elementcriteria ( )

Returns the elemental result criteria
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

bool NXOpen::CAE::ResultVariable::Elemtypes ( )

Returns the Element types
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXString NXOpen::CAE::ResultVariable::Expname ( )

Returns the Result Field Expression Name
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

double NXOpen::CAE::ResultVariable::Filletradscale ( )

Returns the Fillet radius scale factor
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

bool NXOpen::CAE::ResultVariable::IncludeInternalElement ( )

Returns the Include Internal Elements which doing nodal averaging
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

int NXOpen::CAE::ResultVariable::Layer ( )

Returns the layer
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXOpen::CAE::Result::Location NXOpen::CAE::ResultVariable::Loc ( )

Returns the Location
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

bool NXOpen::CAE::ResultVariable::Mids ( )

Returns the MIDs
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXOpen::CAE::ResultVariable::NodalCombination NXOpen::CAE::ResultVariable::Nodalcombinetype ( )

Returns the Nodal Combination
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

int NXOpen::CAE::ResultVariable::Numberofcomponent ( )

Returns the ply ID
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

double NXOpen::CAE::ResultVariable::Phase ( )

Returns the Phase angle
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

bool NXOpen::CAE::ResultVariable::Pids ( )

Returns the PIDs
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

int NXOpen::CAE::ResultVariable::Plyid ( )

Returns the ply ID
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXOpen::CAE::Result::Quantity NXOpen::CAE::ResultVariable::Quan ( )

Returns the Quantity
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

void NXOpen::CAE::ResultVariable::Rename ( const NXString expname)

Re-Name Result Variable
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
expnameexpname
void NXOpen::CAE::ResultVariable::Rename ( const char *  expname)

Re-Name Result Variable
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
expnameexpname
NXOpen::CoordinateSystem* NXOpen::CAE::ResultVariable::Selectedcsys ( )

Returns the Selected Co-ordinate System
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

void NXOpen::CAE::ResultVariable::SetAbs ( bool  abs)

Sets the Absolute value from result
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
absabs
void NXOpen::CAE::ResultVariable::SetAddfillets ( bool  addfillets)

Sets the Beam fillets
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
addfilletsaddfillets
void NXOpen::CAE::ResultVariable::SetBeamSect ( NXOpen::CAE::Result::Section  beamSect)

Sets the beam section
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
beamSectbeam sect
void NXOpen::CAE::ResultVariable::SetComp ( NXOpen::CAE::Result::Component  loc)

Sets the Component
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
locloc
void NXOpen::CAE::ResultVariable::SetComplex ( NXOpen::CAE::Result::Complex  complex)

Sets the Complex type
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
complexcomplex
void NXOpen::CAE::ResultVariable::SetCsys ( NXOpen::CAE::Result::CoordinateSystem  csys)

Sets the Co-ordinate System
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
csyscsys
void NXOpen::CAE::ResultVariable::SetDerivebeamres ( bool  derivebeamres)

Sets the Derive beam results
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
derivebeamresderivebeamres
void NXOpen::CAE::ResultVariable::SetElementcriteria ( NXOpen::CAE::Result::ElementValueCriterion  criteria)

Sets the elemental result criteria
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
criteriacriteria
void NXOpen::CAE::ResultVariable::SetElemtypes ( bool  elemtypes)

Sets the Element types
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
elemtypeselemtypes
void NXOpen::CAE::ResultVariable::SetFilletradscale ( double  filletradscale)

Sets the Fillet radius scale factor
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
filletradscalefilletradscale
void NXOpen::CAE::ResultVariable::SetIncludeInternalElement ( bool  includeinternalelem)

Sets the Include Internal Elements which doing nodal averaging
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
includeinternalelemincludeinternalelem
void NXOpen::CAE::ResultVariable::SetLayer ( int  layer)

Sets the layer
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
layerlayer
void NXOpen::CAE::ResultVariable::SetLoc ( NXOpen::CAE::Result::Location  loc)

Sets the Location
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
locloc
void NXOpen::CAE::ResultVariable::SetMids ( bool  mids)

Sets the MIDs
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
midsmids
void NXOpen::CAE::ResultVariable::SetNodalcombinetype ( NXOpen::CAE::ResultVariable::NodalCombination  computetype)

Sets the Nodal Combination
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
computetypecomputetype
void NXOpen::CAE::ResultVariable::SetNumberofcomponent ( int  numcomponent)

Sets the ply ID
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
numcomponentnumcomponent
void NXOpen::CAE::ResultVariable::SetPhase ( double  phase)

Sets the Phase angle
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
phasephase
void NXOpen::CAE::ResultVariable::SetPids ( bool  mids)

Sets the PIDs
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
midsmids
void NXOpen::CAE::ResultVariable::SetPlyid ( int  plyid)

Sets the ply ID
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
plyidplyid
void NXOpen::CAE::ResultVariable::SetQuan ( NXOpen::CAE::Result::Quantity  quan)

Sets the Quantity
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
quanquan
void NXOpen::CAE::ResultVariable::SetSelectedcsys ( NXOpen::CoordinateSystem selectedcsys)

Sets the Selected Co-ordinate System
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
selectedcsysselectedcsys
void NXOpen::CAE::ResultVariable::SetShellSect ( NXOpen::CAE::Result::Section  sect)

Sets the shell section
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
sectsect
void NXOpen::CAE::ResultVariable::SetUsertypename ( const NXString usertypename)

Sets the Result type username
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
usertypenameusertypename
void NXOpen::CAE::ResultVariable::SetUsertypename ( const char *  usertypename)

Sets the Result type username
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
usertypenameusertypename
NXOpen::CAE::Result::Section NXOpen::CAE::ResultVariable::ShellSect ( )

Returns the shell section
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXString NXOpen::CAE::ResultVariable::Usertypename ( )

Returns the Result type username
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.